<!DOCTYPE html>
<html>
	<head>
		<title>Účet za bláboly!</title>

		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<link rel="icon" href="{{ url_for('static', filename='icon.png') }}">

		<script
			type="text/javascript"
			src="{{ url_for('static', filename='jquery.js') }}"
		></script>

		<script
			type="text/javascript"
			src="{{ url_for('static', filename='flip.min.js') }}"
		></script>
		<script
			type="text/javascript"
			src="{{ url_for('static', filename='tick.view.swap.global.min.js') }}"
		></script>

		<link rel="stylesheet" href="{{ url_for('static', filename='flip.min.css') }}">
		<link rel="stylesheet" href="{{ url_for('static', filename='tick.view.swap.min.css') }}">
		
		<link rel="stylesheet" href="{{ url_for('static', filename='bebas-neue/style.css') }}">
		<link rel="stylesheet" href="{{ url_for('static', filename='vt323/style.css') }}">

		<link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}">

		<meta
			name="description"
			content="Tady se dozvíš, kolik času a peněz tě stála parlamentní opozice."
		>
		<meta
			name="keywords"
			content="piráti, pirátská strana, spd, ano, andrej babiš, babiš, parlament, poslanecká sněmovna, vláda"
		>
		<meta
			name="author"
			content="Piráti"
		>
		<meta
			name="copyright"
			content="Všechna práva vyhlazena."
		>
		
		<meta
			property="og:title"
			content="Účet za bláboly!"
		>
		<meta
			property="og:description"
			content="Tady se dozvíš, kolik času a peněz tě stála parlamentní opozice."
		>
		<meta
			property="og:image"
			content="{{ url_for('static', filename='banner.webp', _external=True) }}"
		>
	</head>
	<body>
		<main>
			<h1>Účet za bláboly!</h1>
			
			<script type="text/javascript">
				const formatter = new Intl.NumberFormat(
					"cs-CZ",
					{
						style: "currency",
						currency: "CZK",
						maximumFractionDigits: 0
					}
				);
			</script>
			
			<div class="content">
				{% if meeting is not none %}
					<script type="text/javascript">
						let money = {{ meeting["seconds_passed"] * config["PRICE_PER_SECOND"] }};
						
						function setupMoney(tick) {
							Tick.helper.interval(function() {
								money += {{ config["PRICE_PER_SECOND"] }};
								
								tick.value = formatter.format(money);
							}, 1000);
						}
						
						function setupCountup(tick) {
							var counter = Tick.count.up('{{ meeting["starts_before_passed_seconds"] }}');
							
							counter.onupdate = function(passed) {
								let hours = String(passed[1] + passed[0] * 24);
								if (hours.length == 1) { hours = `0${hours}` };
								
								let minutes = String(passed[2]);
								if (minutes.length == 1) { minutes = `0${minutes}` };
								
								let seconds = String(passed[3]);
								if (seconds.length == 1) { seconds = `0${seconds}` };
								
								tick.value = {
									hours: hours,
									minutes: minutes,
									seconds: seconds
								}
							};
						}
					</script>

					<h2 id="meeting-desc">
						Jednání sněmovny<br>
						blokované opozicí
					</h2>

					<span class="separator">
						-----------------------------------------
					</span>

					<div id="current-meeting">
						<div>
							Jednání {{ meeting["name"] }}<br>
							<div
								class="tick"
								data-did-init="setupCountup"
								data-value="00"
							>
								<b>
									<span class="tick-group">
										<span
											data-key="hours"
											data-view="swap"
											data-style="transition:swap, crossfade"
										></span>
										<span class="tick-text-inline">h,</span>
									</span>
									<span class="tick-group">
										<span
											data-key="minutes"
											data-view="swap"
											data-style="transition:swap, crossfade"
										></span>
										<span class="tick-text-inline">m,</span>
									</span>
									<span class="tick-group">
										<span
											data-key="seconds"
											data-view="swap"
											data-style="transition:swap, crossfade"
										></span>
										<span class="tick-text-inline">s.</span>
									</span>
								</b>
							</div>
						</div>
						
						<div>
							201 Kč / s
						</div>
					</div>
					
					<span class="separator">
						-----------------------------------------
					</span>
					
					<div id="total-price">
						<div>Celkem</div>
						
						<div
							class="tick"
							data-did-init="setupMoney"
						>
							<b>
								<div data-repeat="true">
									<span
										data-view="swap"
										data-style="transition:swap, crossfade"
									></span>
								</div>
							</b>
						</div>
					</div>
					
					<div class="stream">
						<iframe src="https://utils.ssl.cdn.cra.cz/live-streaming/clients/pspcr/player-cra.php" allow="autoplay; fullscreen" allowfullscreen  width="705" height="400" frameborder="0" scrolling="no"></iframe>
					</div>
				{% else %}
					<p id="no-meeting-desc">
						Sněmovna momentálně nemá na pořadu<br>
						žádné jednání blokované opozicí.
					</p>
					
					{% if past_meetings|length != 0 %}
						<h2 id="past-meetings-header">Minulá jednání</h2>
						
						<span class="separator">
							-----------------------------------------
						</span>
						
						{% set total_price = namespace(value=0) %}
						
						<ul id="past-meetings-list">
							{% for meeting in past_meetings %}
								<li class="past-meeting">
									<div>
										{{ meeting["name"].capitalize() }}
									</div>
									
									{% set price = meeting["seconds_passed"] * config["PRICE_PER_SECOND"] %}
									{% set total_price.value = total_price.value + price %}
									
									<div class="past-meeting-price">
										<b id="past-meeting-price-value-{{ loop.index }}">{{ price }} Kč</b>
										
										<br>
										
										{%
											if
											(meeting["seconds_overriden"] and "starts" in meeting)
											or not meeting["seconds_overriden"]
										%}
											{{ meeting["starts"].day }}.{{ meeting["starts"].month }}.{{ meeting["starts"].year }}
											
											{%
												if
												not meeting["seconds_overriden"]
												and meeting["starts"].day != meeting["ends"].day
											%}
												- {{ meeting["ends"].day }}.{{ meeting["ends"].month }}.{{ meeting["ends"].year }}
											{% endif %}
										{% else %}
											&nbsp;
										{% endif %}
									</div>
									
									<script type="text/javascript">
										$(document).ready(
											function () {
												$("#past-meeting-price-value-{{ loop.index }}").html(
													formatter.format({{ price }})
												);
											}
										);
									</script>
								</li>
							{% endfor %}
						</ul>
						
						<span class="separator">
							-----------------------------------------
						</span>
						
						<div id="total-price">
							<div>Součet</div>
							<div id="total-price-value">
								<b>{{ total_price.value }} Kč</b>
							</div>
							
							<script type="text/javascript">
								$(document).ready(
									function () {
										$("#total-price-value").html(
											formatter.format({{ total_price.value }})
										);
									}
								);
							</script>
						</div>
					{% endif %}
				{% endif %}
			</div>
		</main>
	</body>
</html>
